早坂@会津大学です。

From: SHIROYAMA Takayuki <psi / fortune.nest.or.jp>
Subject: [ruby-list:15560] Re: ruby for Win32
Date: Wed, 21 Jul 1999 14:35:54 +0900

psi> えーっと、これはrubyではなくNetBSDが悪くて、アーキテク
psi> チャによって ldとかasが違う物(具体的には ldとld.new、asと
psi> as.new)を使い分けているせいです。

psi> このため、以前 NetBSD/alpha(1.3-currentのどこか)でコンパ
psi> イルできるようにして、そのパッチを流した際には、アーキ
psi> テクチャを見てそれによりldのオプションを変えるようにした
psi> のですが、1.3からNetBSD1.4のアップデートで、ldを使うアー
psi> キテクチャとld.newを使うアーキテクチャの配分がまた変わっ
psi> た模様で、ひょっとしたらうまくコンパイルできないかも知
psi> れないといった訳です。

 [ruby-dev:7068] の変更で NetBSD1.4 に対応させました。
/usr/share/mk/*.mk をみてパッチ作ったので NetBSD のどの 
platform でも大丈夫なはずです。
 #実際、テストは NetBSD/i386 でしかやってませんが。

psi> また、少なくともNetBSD/alpha 1.4_ALPHA, ruby 1.2.5の組み
psi> 合わせでMeeting2000-0.92が動かないのは確認してます。
psi> # ・・・どれも古い・・・(^^;)

 最新の 1.3 系 ruby を使ってください。

-------
Name   :  HAYASAKA, Ryo  (早坂 良)
E-mail :  hayasaka / univ21.u-aizu.ac.jp
URL    :  http://www.u-aizu.ac.jp/%7Es1041140/
Computer Science and Engineering Lab., The University of Aizu